int a = int.Parse(Console.ReadLine());
int b = int.Parse(Console.ReadLine());
int x = int.Parse(Console.ReadLine());
int y = int.Parse(Console.ReadLine());
if ( x>a || y> b || x<0 || y <0 || a> 100 || a<0 || b>100 || b<0)
{
    Console.WriteLine("error");
    Environment.Exit(0);
}
if(a == x&& b == y)
{
    Console.WriteLine("nijedan");
}
else if(x < a&& y< b)
{
    Console.WriteLine("?");
}
else if(x < a&& y==b)
{
    Console.WriteLine("prvi");
}
else if( x==a&& y < b)
{
    Console.WriteLine("drugi");
}